package com.diagbot.facade;

import com.diagbot.client.TranServiceClient;
import com.diagbot.dto.DoctorInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.DoctorInfo;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.DoctorInfoVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/19 19:49
 */
@Component
public class DoctorInfoFacade {
    @Autowired
    private TranServiceClient tranServiceClient;

    /**
     * 获取医生信息
     *
     * @param doctorInfoVo
     * @return
     */
    public List<DoctorInfoDTO> getDoctorInfo(DoctorInfoVO doctorInfoVo) {
        RespDTO<List<DoctorInfoDTO>> doctorInfoDTOList = tranServiceClient.getDoctorInfo(doctorInfoVo);
        RespDTOUtil.respNGDealCover(doctorInfoDTOList, "获取医生信息失败");
        return doctorInfoDTOList.data;
    }

    /**
     * 根据ids获取医生信息map
     *
     * @param ids 医生ids
     * @return 医生信息
     */
    public Map<Long, DoctorInfo> doctorInfoMapByIds(List<Long> ids) {
        RespDTO<Map<Long, DoctorInfo>> retData = tranServiceClient.doctorInfoMapByIds(ids);
        RespDTOUtil.respNGDealCover(retData, "获取医生信息失败");
        return retData.data;
    }

}
