package com.diagbot.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.GetRelationInfoListDTO;
import com.diagbot.dto.LisSonContactListDTO;
import com.diagbot.dto.MultContactListDTO;
import com.diagbot.dto.RelationContactListDTO;
import com.diagbot.dto.RelationNodeDTO;
import com.diagbot.entity.Relation;
import com.diagbot.vo.GetRelationInfoListVO;
import com.diagbot.vo.LisSonContactListVO;
import com.diagbot.vo.MultContactListVO;
import com.diagbot.vo.RelationContactListVO;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-31
 */
public interface RelationMapper extends BaseMapper<Relation> {
	
	IPage<GetRelationInfoListDTO> getRelationInfoList(GetRelationInfoListVO getRelationInfoListVO);
	
	List<RelationNodeDTO> getRelationNodeDTOs(@Param(value="conceptId")Long conceptId,@Param(value="relationId")Long relationId);
	
	IPage<RelationContactListDTO> relationContactList(RelationContactListVO relationContactListVO);
	
	IPage<MultContactListDTO> multContactList(MultContactListVO multContactListVO);
	
	IPage<LisSonContactListDTO> lisSonContactList(LisSonContactListVO lisSonContactListVO);
	
}
