package com.diagbot.facade;

import com.diagbot.client.bean.SearchData;
import com.diagbot.enums.SysTypeEnum;
import com.diagbot.vo.PushVO;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/6/14 13:41
 */
@Component
public class AssembleFacade {
    /**
     * 拼装数据
     *
     * @param pushVO
     * @return SearchData
     */
    public SearchData assembleData(PushVO pushVO) {
        SearchData searchData = new SearchData();
        searchData.setAge(pushVO.getAge());
        searchData.setSymptom(pushVO.getSymptom());
        searchData.setDiag("");
        searchData.setFeatureType(pushVO.getFeatureType());
        searchData.setSysCode("1");
        searchData.setLength(10);
        searchData.setSysType(SysTypeEnum.PREC_SERVICE.getKey());
        searchData.setHosCode(pushVO.getHosCode());
        switch (pushVO.getSex()) {
            case 1:
                searchData.setSex("M");
                break;
            case 2:
                searchData.setSex("F");
                break;
            default:
                searchData.setSex("A");
                break;
        }
        return searchData;
    }
}