package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description: 
 * @Author: wangyu
 * @Date: 13:41 2019/3/28
 */
public enum ModuleTypeEnum implements KeyedNamed {
    Symptoms(1, "症状情况"),
    DiagnosisAndTreatment(2, "诊疗情况"),
    OtherMedicalHistory(3, "其他病史"),
    SupplementaryContents(4, "补充内容");

    @Setter
    private Integer key;

    @Setter
    private String name;

    ModuleTypeEnum(Integer key, String name) {
        this.key = key;
        this.name = name;
    }

    public static ModuleTypeEnum getEnum(Integer key) {
        for (ModuleTypeEnum item : ModuleTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(Integer key) {
        ModuleTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}